Package org.springframework.core

# Interface Ordered

All Known Subinterfaces:
  `PriorityOrdered`

public interface Ordered
`Ordered` is an interface that can be implemented by objects that should be orderable, for example in a `Collection`.

The actual `order` can be interpreted as prioritization, with the first object (with the lowest order value) having the highest priority.

Note that there is also a priority marker for this interface: `PriorityOrdered`. Consult the Javadoc for `PriorityOrdered` for details on how `PriorityOrdered` objects are ordered relative to plain `Ordered` objects.

Consult the Javadoc for `OrderComparator` for details on the sort semantics for non-ordered objects.

Since:
  07.04.2003
Author:
  Juergen Hoeller, Sam Brannen
See Also:
  - `PriorityOrdered`
  - `OrderComparator`
  - `Order`
  - `AnnotationAwareOrderComparator`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HIGHEST_PRECEDENCE`
Useful constant for the highest precedence value.
`static final int`
`LOWEST_PRECEDENCE`
Useful constant for the lowest precedence value.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
Get the order value of this object.

## Field Details

### HIGHEST_PRECEDENCE

static final int HIGHEST_PRECEDENCE
Useful constant for the highest precedence value.

See Also:
  - `Integer.MIN_VALUE`
  - Constant Field Values

### LOWEST_PRECEDENCE

static final int LOWEST_PRECEDENCE
Useful constant for the lowest precedence value.

See Also:
  - `Integer.MAX_VALUE`
  - Constant Field Values

## Method Details

### getOrder

int getOrder()
Get the order value of this object.

Higher values are interpreted as lower priority. As a consequence, the object with the lowest value has the highest priority (somewhat analogous to Servlet `load-on-startup` values).

Same order values will result in arbitrary sort positions for the affected objects.

Returns:
  the order value
See Also:
  - `HIGHEST_PRECEDENCE`
  - `LOWEST_PRECEDENCE`